searchNodes=[{"doc":"Filter element for demuxing Matroska files. Receives a bytestream in Matroska file format as input and outputs the constituent tracks of that file onto seperate pads. This demuxer is only capable of demuxing tracks encoded with VP8, VP9, H264 or Opus. Pads :input Availability :always Caps Membrane.RemoteStream , restrictions: &nbsp;&nbsp; content_format: one_of([nil, :WEBM, :Matroska]) , &nbsp;&nbsp; type: :bytestream Demand mode :manual Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :on_request Caps Membrane.RemoteStream , restrictions: &nbsp;&nbsp; content_format: one_of([Membrane.VP8, Membrane.VP9]) , &nbsp;&nbsp; type: :packetized , Membrane.Opus , Membrane.H264.RemoteStream Demand mode :manual Demand unit :buffers Direction :output Mode :pull Name :output","ref":"Membrane.Matroska.Demuxer.html","title":"Membrane.Matroska.Demuxer","type":"module"},{"doc":"Returns pads descriptions for Membrane.Matroska.Demuxer","ref":"Membrane.Matroska.Demuxer.html#membrane_pads/0","title":"Membrane.Matroska.Demuxer.membrane_pads/0","type":"function"},{"doc":"Filter element for muxing Matroska files. It accepts an arbitrary number of Opus, VP8, VP9 or H264 streams and outputs a bytestream in Matroska format containing those streams. Muxer guidelines https://www.matroskaproject.org/docs/container/ Element options Passed via struct Membrane.Matroska.Muxer.t/0 title String . t ( ) Default value: &quot;Membrane Matroska file&quot; Title to be used in the Segment/Info/Title element date nil | DateTime . t ( ) Default value: nil Datetime which will be store in the Segment/Info/DateUTC element. Default value is the time of initialization of this element . Pads :input Availability :on_request Caps Membrane.Opus , restrictions: &nbsp;&nbsp; self_delimiting?: false , &nbsp;&nbsp; channels: one_of([1, 2]) , Membrane.RemoteStream , restrictions: &nbsp;&nbsp; content_format: one_of([Membrane.VP8, Membrane.VP9]) , &nbsp;&nbsp; type: :packetized , Membrane.MP4.Payload Demand mode :manual Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.RemoteStream , restrictions: &nbsp;&nbsp; content_format: :Matroska Demand mode :manual Demand unit :buffers Direction :output Mode :pull Name :output","ref":"Membrane.Matroska.Muxer.html","title":"Membrane.Matroska.Muxer","type":"module"},{"doc":"Returns pads descriptions for Membrane.Matroska.Muxer","ref":"Membrane.Matroska.Muxer.html#membrane_pads/0","title":"Membrane.Matroska.Muxer.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.Matroska.Muxer.html#options/0","title":"Membrane.Matroska.Muxer.options/0","type":"function"},{"doc":"Struct containing options for Membrane.Matroska.Muxer","ref":"Membrane.Matroska.Muxer.html#t:t/0","title":"Membrane.Matroska.Muxer.t/0","type":"type"},{"doc":"Helper functions for decoding and encoding EBML elements. EBML RFC: https://www.rfc-editor.org/rfc/rfc8794.html Note that this module does not support parsing Master Elements with unknown data size https://www.rfc-editor.org/rfc/rfc8794.html#section-6.2","ref":"Membrane.Matroska.Parser.EBML.html","title":"Membrane.Matroska.Parser.EBML","type":"module"},{"doc":"Returns an EBML element's name, type, and data","ref":"Membrane.Matroska.Parser.EBML.html#decode_element/1","title":"Membrane.Matroska.Parser.EBML.decode_element/1","type":"function"},{"doc":"Returns the name associated with the EBML ELEMENT_ID of the first Element in the input binary. EMBL elements are identified by the hexadecimal representation of the entire leading VINT including WIDTH, MARKER and DATA","ref":"Membrane.Matroska.Parser.EBML.html#decode_element_name/1","title":"Membrane.Matroska.Parser.EBML.decode_element_name/1","type":"function"},{"doc":"Returns the number encoded in the VINT_DATA field of the first VINT in the input binary","ref":"Membrane.Matroska.Parser.EBML.html#decode_vint/1","title":"Membrane.Matroska.Parser.EBML.decode_vint/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_binary/1","title":"Membrane.Matroska.Parser.EBML.parse_binary/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_date/1","title":"Membrane.Matroska.Parser.EBML.parse_date/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_float/1","title":"Membrane.Matroska.Parser.EBML.parse_float/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_integer/1","title":"Membrane.Matroska.Parser.EBML.parse_integer/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_master/2","title":"Membrane.Matroska.Parser.EBML.parse_master/2","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_string/1","title":"Membrane.Matroska.Parser.EBML.parse_string/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_uint/1","title":"Membrane.Matroska.Parser.EBML.parse_uint/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#parse_utf8/1","title":"Membrane.Matroska.Parser.EBML.parse_utf8/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Parser.EBML.html#t:element_type_t/0","title":"Membrane.Matroska.Parser.EBML.element_type_t/0","type":"type"},{"doc":"Matroska structure schema for muxing and demuxing Docs: EBML https://www.rfc-editor.org/rfc/rfc8794.html Matroska https://matroska.org/technical/basics.html Matroska elements and ID's https://www.ietf.org/archive/id/draft-ietf-cellar-matroska-10.html#name-matroska-schema Matroska supported Matroska elements https://www.matroskaproject.org/docs/container/#EBML","ref":"Membrane.Matroska.Schema.html","title":"Membrane.Matroska.Schema","type":"module"},{"doc":"","ref":"Membrane.Matroska.Schema.html#deserialize_matroska/1","title":"Membrane.Matroska.Schema.deserialize_matroska/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Schema.html#element_id_to_name/1","title":"Membrane.Matroska.Schema.element_id_to_name/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Schema.html#element_type/1","title":"Membrane.Matroska.Schema.element_type/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Schema.html#name_to_element_id/1","title":"Membrane.Matroska.Schema.name_to_element_id/1","type":"function"},{"doc":"","ref":"Membrane.Matroska.Schema.html#serialize_matroska/1","title":"Membrane.Matroska.Schema.serialize_matroska/1","type":"function"},{"doc":"Membrane plugin for muxing and demuxing files in the Matroska format. It is part of Membrane Multimedia Framework . Both muxer and demuxer support tracks encoded with VP8, VP9, H264 and Opus. Opus tracks with more than 2 channels are not supported. Demuxing of files containing laced frames is not supported. Passing tag values is not supported","ref":"readme.html","title":"Membrane Matroska Plugin","type":"extras"},{"doc":"The package can be installed by adding membrane_matroska_plugin to your list of dependencies in mix.exs : def deps do [ { :membrane_matroska_plugin , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"Membrane Matroska Plugin - Installation","type":"extras"},{"doc":"Membrane.Matroska.Muxer Matroska muxer requires a sink that can handle Membrane.File.SeekEvent , e.g. Membrane.File.Sink . For an example of muxing streams to a regular matroska file, refer to examples/muxer_h264.exs . To run the example, you can use the following command: elixir examples/muxer_h264.exs ### Membrane.Matroska.Demuxer For an example of demuxing streams, refer to examples/demuxer_h264.exs . To run the example, use the following command: elixir examples/demuxer_h264.exs You can expect demuxing_output folder to appear and contain an audio file 2.ogg and a video file 1.h264 . ## Copyright and License Copyright 2022, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#usage","title":"Membrane Matroska Plugin - Usage","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2020 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]